TTF_RenderText_Blended_Wrapped(3)

NAME
TTF_RenderText_Blended_Wrapped - Render word-wrapped UTF-8 text at high quality to a new ARGB surface.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_Surface * TTF_RenderText_Blended_Wrapped(TTF_Font *font, const char *text, size_t length, SDL_Color fg, int wrap_width);

DESCRIPTION
This function will allocate a new 32-bit, ARGB surface, using alpha blending to dither the font with the given color. This function returns the new surface, or NULL if there was an error.

Text is wrapped to multiple lines on line endings and on word boundaries if it extends beyond wrap_width in pixels.

If wrap_width is 0, this function will only wrap on newline characters.

You can render at other quality levels with

TTF_RenderText_Solid_Wrapped ,

TTF_RenderText_Shaded_Wrapped , and

TTF_RenderText_LCD_Wrapped .

FUNCTION PARAMETERS

font
    the font to render with.

text
    text to render, in UTF-8 encoding.

length
    the length of the text, in bytes, or 0 for null terminated text.

fg  the foreground color for the text.

wrap_width
    the maximum width of the text surface or 0 to wrap on newline characters.

RETURN VALUE
Returns a new 32-bit, ARGB surface, or NULL if there was an error.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_RenderText_Blended(3), •(3), TTF_RenderText_LCD_Wrapped(3), •(3), TTF_RenderText_Shaded_Wrapped(3), •(3), TTF_RenderText_Solid_Wrapped(3)